






#import "FoggyFeatViewController.h"
#import "FormatsPlayButton.h"
#import "MidToast.h"
#import "AppearingTextField.h"
#import "NSString+TiedWorld.h"

@interface FoggyFeatViewController ()

@property (nonatomic, strong) AppearingTextField *zipDailyRowTextField;
@property (nonatomic, strong) UITextField *periodTagTextField;
@property (nonatomic, strong) UITextField *dayAddJobForkTextField;
@property (nonatomic, strong) FormatsPlayButton *spanUpperButton;
@end

@implementation FoggyFeatViewController

- (FormatsPlayButton *)spanUpperButton {
    if (!_spanUpperButton) {
        _spanUpperButton = [[FormatsPlayButton alloc] init];
    }
    return _spanUpperButton;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    
    self.zipDailyRowTextField = [[AppearingTextField alloc] initWithController:self];
    [self.view addSubview:self.zipDailyRowTextField];
    [self.zipDailyRowTextField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(UserArtRoot.wayAbortLove.supplyOrigin);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.right.mas_equalTo(-UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.bitsDesigner);
    }];
    
    
    self.periodTagTextField = [UserArtRoot topSubProjectsWrappersObscuresSixteenCode];
    [self.view addSubview:self.periodTagTextField];
    [self.periodTagTextField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.zipDailyRowTextField.mas_bottom).offset(UserArtRoot.wayAbortLove.hueSpineKit);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.bitsDesigner);
    }];
    
    overdue(self);
    self.spanUpperButton.rebusAreThreeAction = ^{
        thumbMask(self);
        
        NSString *stateMileCode = self.zipDailyRowTextField.adverbGrowEasy;
        NSString *sandboxPost = self.zipDailyRowTextField.remainderAudiogramLinerPhraseAmerican;
        if (self.zipDailyRowTextField.zipDailyRowTextField.text.capCovariant) {
            [self.spanUpperButton clustersTranslatePacketUnderlineGranting];
            [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.floorSixTrianglePedometerOverflowFire completion:nil];
            return;
        }
        if ([self.jobIrishBezel respondsToSelector:@selector(middleWhiteNapQuickRowStartedPassiveType:weekendSend:ropeCode:completion:)]) {
            [ActualSkipView bondLocalDiskWindow];
            [self.jobIrishBezel middleWhiteNapQuickRowStartedPassiveType:UserArtRoot.wayAbortLove.eulerTrialExposureCheckedChrome weekendSend:sandboxPost ropeCode:stateMileCode completion:^(id object) {
                [ActualSkipView assistantTensionCarEraFetchWindow];
                if ([object boolValue]) {
                    [MidToast leftAirMin:UserArtRoot.builtOwnSeeEar.dailyTeaspoonsDenseObjectKeepEnhanceCode];
                }else {
                    [self.spanUpperButton clustersTranslatePacketUnderlineGranting];
                }
            }];
        }
    };
    [self.view addSubview:self.spanUpperButton];
    [self.spanUpperButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerY.equalTo(self.periodTagTextField);
        make.height.equalTo(self.periodTagTextField);
        make.left.equalTo(self.periodTagTextField.mas_right).offset(UserArtRoot.wayAbortLove.panGreenSpan);
        make.right.equalTo(self.zipDailyRowTextField);
    }];
    
    
    [self.spanUpperButton setContentHuggingPriority:UILayoutPriorityRequired forAxis:UILayoutConstraintAxisHorizontal];
    
    
    self.dayAddJobForkTextField = [UserArtRoot ratioAmountManagersDecreaseVibrancyPassword:YES];
    [self.view addSubview:self.dayAddJobForkTextField];
    [self.dayAddJobForkTextField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.periodTagTextField.mas_bottom).offset(UserArtRoot.wayAbortLove.hueSpineKit);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.right.mas_equalTo(-UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.bitsDesigner);
    }];
    UIButton *moreFlowButton = self.dayAddJobForkTextField.rightView.subviews.firstObject;
    [moreFlowButton addTarget:self action:@selector(canonSideRemainderWrongUnboundedPlainHandler:) forControlEvents:(UIControlEventTouchUpInside)];
    
    
    UIButton *kindLabeledButton = [UserArtRoot arrayAuditedDirectorRedoneLongestColor:UserArtRoot.builtOwnSeeEar.hostLearnedKey];
    [kindLabeledButton addTarget:self action:@selector(tapScriptIdentityPenDenseAction:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:kindLabeledButton];
    [kindLabeledButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.dayAddJobForkTextField.mas_bottom).offset(UserArtRoot.wayAbortLove.hueSpineKit);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.right.mas_equalTo(-UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.textBuddySee);
    }];
}
- (void)canonSideRemainderWrongUnboundedPlainHandler:(UIButton *)sender {
    sender.selected = !sender.isSelected;
    self.dayAddJobForkTextField.secureTextEntry = !self.dayAddJobForkTextField.isSecureTextEntry;
}

- (void)tapScriptIdentityPenDenseAction:(id)sender {
    if (self.zipDailyRowTextField.zipDailyRowTextField.text.capCovariant) {
        [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.floorSixTrianglePedometerOverflowFire completion:nil];
        return;
    }
    if (self.periodTagTextField.text.capCovariant) {
        [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.petiteOceanSeventeenEarWet completion:nil];
        return;
    }
    if (self.dayAddJobForkTextField.text.length < UserArtRoot.wayAbortLove.managerMale) {
        [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.translateCountingIntervalGaelicProcessesArt completion:nil];
        return;
    }
    NSString *stateMileCode = self.zipDailyRowTextField.adverbGrowEasy;
    NSString *sandboxPost = self.zipDailyRowTextField.remainderAudiogramLinerPhraseAmerican;
    if ([self.jobIrishBezel respondsToSelector:@selector(farsiAreSemanticStreamScatteredCreateBasque:code:ropeCode:lowKey:completion:)]) {
        [ActualSkipView bondLocalDiskWindow];
        [self.jobIrishBezel farsiAreSemanticStreamScatteredCreateBasque:sandboxPost code:self.periodTagTextField.text ropeCode:stateMileCode lowKey:self.dayAddJobForkTextField.text completion:^(id object) {
            [ActualSkipView assistantTensionCarEraFetchWindow];
            [MidToast leftAirMin:UserArtRoot.builtOwnSeeEar.bulgarianRegisterExplicitDayPolo];
            if (object) {
                [self.foldRemovalDelegate lighterSeasonEnsureBadgeFatWithName:object useFatCleanPassword:self.dayAddJobForkTextField.text];
                [self snapBadTempStrengthOddAction:nil];
            }
        }];
    }
}

- (void)dealloc {
    [self.spanUpperButton clustersTranslatePacketUnderlineGranting];
}
@end
